LDCONFIG(8)

NOME
/sbin/ldconfig - configura o conector dinâmico de ligacões em tempo de execução

SINÓPSE
/sbin/ldconfig [ -nNvXV ] [ -f conf ] [ -C cache ] [ -r root ] diretório ...
/sbin/ldconfig -l [ -v ] biblioteca ...
/sbin/ldconfig -p

DESCRIÇÃO
ldconfig cria as necessárias ligações e o 'cache' para as bibliotecas mais recentes, encontradas no diretório especificado na linha de comando, no arquivo /etc/ld.so.conf, e nos diretórios confiáveis (/usr/lib e /lib). O 'cache' é utilizado pelo conector em tempo de execução, ld.so ou ld-linux.so. ldconfig verifica o cabeçalho e os nomes de arquivo das bibliotecas que ele encontra, determinando quais versões deverão ter suas ligações atualizadas.

ldconfig tentará deduzir o tipo de biblioteca 'ELF' (isto é, libc5 ou libc6/glibc) baseado no tipo de biblioteca C, se houver, ao qual a biblioteca foi conectada, portanto ao criar bibliotecas dinâmicas, seria prudente conectar explicitamente à libc (use -lc).

Algumas bibliotecas existentes não contêm informação suficiente para permitir a dedução do seu tipo, entretanto o formato de arquivo /etc/ld.so.conf permite a especificação de um tipo esperado. Isto é usado somente para aquelas bibliotecas 'ELF' que nos não podemos deduzir. O formato é deste tipo "dirname=TYPE", onde 'type' pode ser libc4, libc5 ou libc6. (Esta sintáxe também funciona na linha de comando). Espaços não são permitidos. Veja também a opção -p ldconfig que deveria, normalmente, ser executada pelo superusuário, pois ela pode necessitar de permissões de escrita em alguns diretórios e arquivos pertencentes ao 'root'.

OPÇÕES

-v  Modo Verbal. Imprime o número da versão atual, o nome de cada diretório assim que ele for verificado e qualquer ligação for criada. Suplanta o modo 'quiet'.

-n  Somente processa diretórios especificados na linha de comando. Não processa diretórios confiáveis (trusted) (/usr/lib e /lib) e nem aqueles especificados em /etc/ld.so.conf. Implica em -N.

-N  Não reconstroi o 'cache'. A menos que -X seja também especificado, ligações ainda são atualizadas.

-X  Não atualiza ligações. A menos que -N seja também especificado, o 'cache' ainda é reconstruido.

-f conf
    Use conf ao invés de /etc/ld.so.conf.

-C cache
    Use o cache ao invés de /etc/ld.so.cache.

-r root
    Mude para root e use como o diretório raíz.

-l  Modo biblioteca. Conecta manualmente bibliotecas individuais. Destinado somente para especialistas.

-p  Imprime a lista de diretórios e bibliotecas candidatas, armazenadas no

ARQUIVOS
/lib/ld.so
    conector/carregador em tempo de execução
/etc/ld.so.conf
    Arquivo contendo uma lista de diretórios separados por dois pontos, espaço, tab, nova linha ou vírgula, no quais se procuram por bibliotecas.
/etc/ld.so.cache
    Arquivo ordenado, contendo uma lista das bibliotecas encontradas nos diretórios especificados em /etc/ld.so.conf.

TRADUZIDO POR LDP-BR em 23/05/2001.

  Tradução:
Ricardo C.O.Freitas <english.quest@best-service.com>

  Revisão.:
André Luiz Fassone <lonely_wolf@ig.com.br>